/// <reference types="node" />
import { EventEmitter } from "events";
import { ILoggerProperties, LoggerMetadata } from "./core";
export declare abstract class ExtensibleLogger<PropertiesType = any> extends EventEmitter {
    Author: string;
    Metadata: LoggerMetadata;
    Properties: PropertiesType;
    constructor(name?: string, type?: string, logger?: string, properties?: ILoggerProperties);
    setAuthor(name?: string, type?: string): void;
    configure(name: string, type: string, logger: string, properties: ILoggerProperties): void;
    abstract log(logObj: object): void;
    abstract logFormat(level: string, message: string, data?: object): void;
}
